<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width: 600px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color: #900;
            color: #FC0;
            height: 60px;
            line-height: 60px;
        }
        .num-results {
            margin: 20px 10px;
        }
        table {
            margin: auto;
            margin-bottom: 20px;
            width: 80%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #900;
            padding: 10px;
            text-align: center;
        }
        th {
            background-color: #900;
            color: #FC0;
        }
        td {
            background-color: #F0F0F0;
        }
        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
        a {
            color: #900;
            text-decoration: none;
        }
        a:hover {
            text-decoration: underline;
        }
    </style>
</head>
<body>

<div class="container">
    <h1>Mobile Device Database: Search Results</h1>
    <div class="nav-link">
        <a href="search.php">&lt;&lt; Back to Search Page</a>
    </div>

    <?php
    $host = "webdev.iyaserver.com";
    $userid = "dent_guest";
    $userpw = "Acad276_Dev2Ex@m";
    $db = "dent_exam";

    $mysql = new mysqli($host, $userid, $userpw, $db);
    
    if ($mysql->connect_errno) {
        echo "DB connection error: " . $mysql->connect_error;
        exit();
    }

    $device_name = $_REQUEST['device_name'];
    $manufacturer_id = $_REQUEST['manufacturer_id'];
    $system_id = $_REQUEST['system_id'];
    $type_id = $_REQUEST['type_id'];

    $sql = "SELECT devices.device_id, devices.name, devices.price, manufacturers.manufacturer, systems.system, types.type
            FROM devices
            JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id
            JOIN systems ON devices.system_id = systems.system_id
            JOIN types ON devices.type_id = types.type_id
            WHERE 1=1";

    if (!empty($device_name)) {
        $sql .= " AND devices.name LIKE '%" . $mysql->real_escape_string($device_name) . "%'";
    }
    if ($manufacturer_id != 'all') {
        $sql .= " AND devices.manufacturer_id = '" . $mysql->real_escape_string($manufacturer_id) . "'";
    }
    if ($system_id != 'all') {
        $sql .= " AND devices.system_id = '" . $mysql->real_escape_string($system_id) . "'";
    }
    if ($type_id != 'all') {
        $sql .= " AND devices.type_id = '" . $mysql->real_escape_string($type_id) . "'";
    }

    $results = $mysql->query($sql);
    if (!$results) {
        echo "SQL error: " . $mysql->error;
        exit();
    }

    echo "<div class='num-results'>Your search returned <strong>" . $results->num_rows . "</strong> results.</div>";

    if ($results->num_rows > 0) {
        echo "<table>";
        echo "<tr>
                <th>Name</th>
                <th>Price</th>
                <th>Manufacturer</th>
                <th>System</th>
                <th>Type</th>
              </tr>";

        while ($row = $results->fetch_assoc()) {
            echo "<tr>";
            echo "<td><a href='details.php?id=" . htmlspecialchars($row['device_id']) . "'>" . htmlspecialchars($row['name']) . "</a></td>";
            echo "<td>" . htmlspecialchars($row['price']) . "</td>";
            echo "<td>" . htmlspecialchars($row['manufacturer']) . "</td>";
            echo "<td>" . htmlspecialchars($row['system']) . "</td>";
            echo "<td>" . htmlspecialchars($row['type']) . "</td>";
            echo "</tr>";
        }

        echo "</table>";
    } else {
        echo "<div>No results found.</div>";
    }
    ?>

</div>

</body>
</html>

